% Utility function to enable presentation of cable deflections in a
% left-handed coordinate system
% 
% function left_handed_axes
%     
function left_handed_axes
    Labels =get (gca,'yticklabel');
    NewLabels = {};
    ml=0;
    for i= 1:size(Labels,1)
        v= str2num(Labels (i,:));
        NewLabels{i} =num2str(-v);
        ml=max( [ml,length(NewLabels{i})] );
    end
    Labels =char(zeros(size(Labels,1),ml));
    for i= 1:size(Labels,1)
        Labels (i,:)=' ';
        Labels (i,ml-length(NewLabels{i})+1:end)=NewLabels{i};
    end
    set (gca,'yticklabel', char(Labels));
end
