% HEAT DIFFUSION EXAMPLES
%
% Files
%   <a href="matlab: edit 'Jethava'">Jethava</a>              - Heated block
%   <a href="matlab: edit 'actuator1'">actuator1</a>            - Thermally-driven actuator, thermal analysis
%   <a href="matlab: edit 'actuator1h8'">actuator1h8</a>          - Thermally-driven actuator, H8 elements
%   <a href="matlab: edit 'actuator1'">actuator2</a>            - Thermally-driven actuator, Refined mesh
%   <a href="matlab: edit 'bcSquare'">bcSquare</a>             - Square to test boundary condition application
%   <a href="matlab: edit 'boxgirder1f'">boxgirder1f</a>          - Box girder thermal analysis
%   <a href="matlab: edit 'Composite_block'">Composite_block</a>      - Composite block 
%   <a href="matlab: edit 'concrete_wall'">concrete_wall</a>        - Concrete wall, 1-D
%   <a href="matlab: edit 'concrete_wall_l3'">concrete_wall_l3</a>     - Concrete wall, 1-D, L3 elements
%   <a href="matlab: edit 'convcyl'">convcyl</a>              - Convergence for an Axially symmetric cylinder
%   <a href="matlab: edit 'convcylflux'">convcylflux</a>          - Display flux for an Axially symmetric cylinder
%   <a href="matlab: edit 'convcylq'">convcylq</a>             - Axially symmetric cylinder, quadratic
%   <a href="matlab: edit 'convcylqad'">convcylqad</a>           - Axially symmetric cylinder, quadratic, adaptive
%   <a href="matlab: edit 'convectioncooled'">convectioncooled</a>     - Convection-cooled domain
%   <a href="matlab: edit 'convectioncooledq'">convectioncooledq</a>    - Convection-cooled domain, quadratic
%   <a href="matlab: edit 'helixcooled'">helixcooled</a>          - 3-D helix cooling
%   <a href="matlab: edit 'lshape1'">lshape1</a>              - L-Shaped domain
%   <a href="matlab: edit 'lshape1q'">lshape1q</a>             - L-Shaped domain
%   <a href="matlab: edit 'lshape2'">lshape2</a>              - L-Shaped domain
%   <a href="matlab: edit 'lshape3'">lshape3</a>              - L-Shaped domain
%   <a href="matlab: edit 'lshape3ad'">lshape3ad</a>            - L-Shaped domain, adaptive
%   <a href="matlab: edit 'pnpSquare'">pnpSquare</a>            - Paper and pencil example, Computational solution
%   <a href="matlab: edit 'pnpSquare1'">pnpSquare1</a>            - Paper and pencil example, four elements
%   <a href="matlab: edit 'shocking'">shocking</a>             - 1-D. model of a cooling shock; Overshoot
%   <a href="matlab: edit 'shockings'">shockings</a>            - 1-D. model of a cooling shock; Evolution
%   <a href="matlab: edit 'shockingss'">shockingss</a>           - 1-D. model of a cooling shock; Convergence in
%                          time
%   <a href="matlab: edit 'shrinkfit'">shrinkfit</a>            - Shrink-fitting
%   <a href="matlab: edit 'shrinkfitad1'">shrinkfitad1</a>         - Shrink-fitting, Uniform mesh
%   <a href="matlab: edit 'shrinkfitad1q'">shrinkfitad1q</a>        - Shrink-fitting, adaptive, quadratic, Heat flux
%   <a href="matlab: edit 'shrinkfitad2'">shrinkfitad2</a>         - Shrink-fitting, graded mesh
%   <a href="matlab: edit 'SpacerHeatFlow1D'">SpacerHeatFlow1D</a>       - Spacer 1-D (Tutorial)
%   <a href="matlab: edit 'SpacerHeatFlow2D'">SpacerHeatFlow2D</a>       - Spacer (Tutorial)
%   <a href="matlab: edit 'squareinsquare'">squareinsquare</a>       - Block with an insert
%   <a href="matlab: edit 'squareinsquarec'">squareinsquarec</a>      - Block with an insert, contours
%   <a href="matlab: edit 't3nafems'">t3nafems</a>             - T3/NAFEMS Benchmark test
%   <a href="matlab: edit 't3nafemsl3'">t3nafemsl3</a>           - T3/NAFEMS Benchmark test, L3 elements
%   <a href="matlab: edit 't4nafems'">t4nafems</a>             - T4/NAFEMS Benchmark test
%   <a href="matlab: edit 't4nafems_conv'">t4nafems_conv</a>        - T4/NAFEMS Benchmark test, convergence, graded
%   <a href="matlab: edit 't4nafems_convu'">t4nafems_convu</a>       - T4/NAFEMS Benchmark test, convergence, Uniform
%   <a href="matlab: edit 't4nafemsq'">t4nafemsq</a>            - T4/NAFEMS Benchmark test, quadratic triangles
%   <a href="matlab: edit 'transcool'">transcool</a>            - Transient cooling of a slab
%   <a href="matlab: edit 'two_circles_assembly'">two_circles_assembly</a> - Demonstration of the assembly process
%   <a href="matlab: edit 'two_circles_heat'">two_circles_heat</a>     - Simple domain with a whole
